Bug 168231 - [new port]games/py-fife: Flexible Isometric Free Engine
[new port]games/py-fife: Flexible Isometric Free Engine
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Martin Wilke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-22 12:50 UTC by fiziologus
Modified: 2012-05-25 15:00 UTC (History)
0 users

See Also:


Attachments
file.shar (35.73 KB, text/plain)
2012-05-22 12:50 UTC, fiziologus
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description fiziologus 2012-05-22 12:50:01 UTC
new port: games/py-fife

FIFE (Flexible Isometric Free Engine)  is a cross platform 2D game creation framework written in C++ with Python bindings. It's designed to be flexible enough to support a wide variety of 2D game types but specializes in 2D isometric type views.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-05-22 12:50:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2012-05-24 14:46:38 UTC
Responsible Changed
From-To: freebsd-python->miwi

I'll take it.
Comment 3 Martin Wilke freebsd_committer 2012-05-25 14:57:16 UTC
State Changed
From-To: open->closed

New port added. Thanks!
Comment 4 dfilter freebsd_committer 2012-05-25 14:57:38 UTC
miwi        2012-05-25 13:57:29 UTC

  FreeBSD ports repository

  Modified files:
    games                Makefile 
  Added files:
    games/py-fife        Makefile distinfo pkg-descr pkg-plist 
    games/py-fife/files  patch-SConstruct 
  Log:
  FIFE is a cross platform 2D game creation framework written in C++ with Python
  bindings. It's designed to be flexible enough to support a wide variety of
  2D game types but specializes in 2D isometric type views.
  
  WWW: http://www.fifengine.net/
  
  PR:             ports/168231
  Submitted by:   GreenDog <fiziologus@gmail.com>
  
  Revision  Changes    Path
  1.1436    +1 -0      ports/games/Makefile
  1.1       +57 -0     ports/games/py-fife/Makefile (new)
  1.1       +4 -0      ports/games/py-fife/distinfo (new)
  1.1       +15 -0     ports/games/py-fife/files/patch-SConstruct (new)
  1.1       +5 -0      ports/games/py-fife/pkg-descr (new)
  1.1       +584 -0    ports/games/py-fife/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"